Find available regions (HTTP)

Gets a list of available regions for database creation.

You need an application token with permission to create and configure databases, such as the Organization Administrator role.

For more information, see Get endpoint and token.

Result

Returns 200 Success and an object that contains information about the available regions.

Example response:

[
  {
    "classification": "standard",
    "cloudProvider": "GCP",
    "displayName": "Moncks Corner, South Carolina",
    "enabled": true,
    "name": "us-east1",
    "region_type": "serverless",
    "reservedForQualifiedUsers": false,
    "zone": "na"
  },
  {
    "classification": "standard",
    "cloudProvider": "AWS",
    "displayName": "Asia Pacific (Mumbai)",
    "enabled": true,
    "name": "ap-south-1",
    "region_type": "serverless",
    "reservedForQualifiedUsers": true,
    "zone": "apac"
  }
]

Parameters

Use the DevOps API to get information about available regions programmatically.

The application token must have sufficient permissions to perform the requested operations, such as the Database Administrator role.

Command signature
curl -sS -L -X GET "https://api.astra.datastax.com/v2/regions/serverless?region-type=REGION_TYPE&filter-by-org=FILTER_BY_ORG" \
--header "Authorization: Bearer APPLICATION_TOKEN" \
--header "Content-Type: application/json"
Name Type Summary

region-type

string

Optional. Only return regions that support specific database types.

Can be one of:

  • "all" (return both vector and serverless regions)

  • "vector" (return only vector regions)

  • "" (return only serverless regions)

Default: ""

filter-by-org

string

Optional. Whether to only return regions that can be used by the caller’s organization.

Can be one of: enabled, disabled.

Default: disabled

Examples

The following examples demonstrate how to find available regions.

curl -sS -L -X GET "https://api.astra.datastax.com/v2/regions/serverless" \
  --header "Authorization: Bearer APPLICATION_TOKEN" \
  --header "Content-Type: application/json"

Was this helpful?

Give Feedback

How can we improve the documentation?

© Copyright IBM Corporation 2026 | Privacy policy | Terms of use Manage Privacy Choices

Apache, Apache Cassandra, Cassandra, Apache Tomcat, Tomcat, Apache Lucene, Apache Solr, Apache Hadoop, Hadoop, Apache Pulsar, Pulsar, Apache Spark, Spark, Apache TinkerPop, TinkerPop, Apache Kafka and Kafka are either registered trademarks or trademarks of the Apache Software Foundation or its subsidiaries in Canada, the United States and/or other countries. Kubernetes is the registered trademark of the Linux Foundation.

General Inquiries: Contact IBM